SettingsGeneral.h
#ifndef GPGFRONTEND_SETTINGSGENERAL_H
#define GPGFRONTEND_SETTINGSGENERAL_H
#include "ui/GpgFrontendUI.h"
class Ui_GeneralSettings;
namespace GpgFrontend::UI {
class KeyList;
class GeneralTab : public QWidget {
Q_OBJECT
public:
explicit GeneralTab(QWidget* parent = nullptr);
void SetSettings();
void ApplySettings();
signals:
void SignalRestartNeeded(bool needed);
private:
std::shared_ptr<Ui_GeneralSettings> ui_;
#ifdef MULTI_LANG_SUPPORT
QHash<QString, QString> lang_;
#endif
std::vector<std::string> key_ids_list_;
KeyList* m_key_list_{};
private slots:
#ifdef MULTI_LANG_SUPPORT
void slot_language_changed();
#endif
};
} // namespace GpgFrontend::UI
#endif // GPGFRONTEND_SETTINGSGENERAL_H
GpgFrontend::UI::GeneralTab::GeneralTab
GeneralTab(QWidget *parent=nullptr)
Construct a new General Tab object.
Definition: SettingsGeneral.cpp:40
GpgFrontend::UI
Definition: FileReadTask.cpp:31
GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance
static GlobalSettingStation & GetInstance(int channel=GpgFrontend::GPGFRONTEND_DEFAULT_CHANNEL)
Get the Instance object.
Definition: GpgFunctionObject.h:170
GpgFrontend::GlobalSettingStation::GetUISettings
libconfig::Setting & GetUISettings() noexcept
Definition: GlobalSettingStation.h:63
GpgFrontend::UI::GeneralTab
Definition: SettingsGeneral.h:43
GpgFrontend::UI::SettingsDialog::ListLanguages
static QHash< QString, QString > ListLanguages()
Definition: SettingsDialog.cpp:116
GpgFrontend::UI::KeyList
Definition: KeyList.h:152
GpgFrontend::UI::GeneralTab::SignalRestartNeeded
void SignalRestartNeeded(bool needed)
GpgFrontend::UI::GeneralTab::SetSettings
void SetSettings()
Set the Settings object.
Definition: SettingsGeneral.cpp:81